<template>
    <auto-button
        type="danger"
        :disabled="disabled"
        :outline="!light"
        :block="block"
        :busy="disabled || busy"
        @click="onClick"
    >
        <div
            class="flex justify-center space-x-2 items-center"
        >
            <svg
                xmlns="http://www.w3.org/2000/svg"
                x="0px"
                y="0px"
                viewBox="0 0 591.6 591.6"
                class="w-4 h-4"
                xml:space="preserve"
                :class="{
                    'text-danger fill-danger': !light,
                    'text-white fill-white': light,
                }"
            >
                <g>
                    <g>
                        <path
                            d="M581.4,244.8H346.8V10.2c0-5.712-4.488-10.2-10.2-10.2H255c-5.712,0-10.2,4.488-10.2,10.2v234.6H10.2 C4.488,244.8,0,249.288,0,255v81.6c0,5.712,4.488,10.2,10.2,10.2h234.6v234.6c0,5.712,4.488,10.2,10.2,10.2h81.6 c5.712,0,10.2-4.488,10.2-10.2V346.8h234.6c5.712,0,10.2-4.488,10.2-10.2V255C591.6,249.288,587.112,244.8,581.4,244.8z M571.2,326.4H336.6c-5.712,0-10.2,4.488-10.2,10.2v234.6h-61.2V336.6c0-5.712-4.488-10.2-10.2-10.2H20.4v-61.2H255 c5.712,0,10.2-4.488,10.2-10.2V20.4h61.2V255c0,5.712,4.488,10.2,10.2,10.2h234.6V326.4z"
                        />
                        <path
                            d="M303.96,33.66h-20.4c-2.856,0-5.1,2.244-5.1,5.1v204c0,2.856,2.244,5.1,5.1,5.1s5.1-2.244,5.1-5.1V43.86h15.3 c2.856,0,5.1-2.244,5.1-5.1S306.816,33.66,303.96,33.66z"
                        />
                    </g>
                </g>
            </svg>
            <span>
                {{ text }}
            </span>
        </div>
    </auto-button>
</template>

<script setup>
import AutoButton from "~/components/button/auto-button.vue";

const props = defineProps({
    text: {
        required: false,
        type: [String, Number],
        default: null,
    },
    disabled: {
        required: false,
        type: Boolean,
        default: false,
    },
    busy: {
        required: false,
        type: Boolean,
        default: false,
    },
    block: {
        required: false,
        type: Boolean,
        default: false,
    },
    light: {
        required: false,
        type: Boolean,
        default: false,
    }
});
const emit = defineEmits(['click']);

const onClick = () => {
    if (!props.disabled && !props.busy) {
        emit('click');
    }
};
</script>
